DeterministicSignatureAlgorithm Class Referenceabstract

Interface for deterministic signers. More...

`#include <pubkey.h>`

Inheritance diagram for DeterministicSignatureAlgorithm:

## Public Member Functions

virtual Integer | GenerateRandom (const Integer &x, const Integer &q, const Integer &e) const =0
| Generate k.

## Detailed Description

Interface for deterministic signers.

RFC 6979 signers which generate k based on the encoded message and private key

Definition at line 1459 of file pubkey.h.

## Constructor & Destructor Documentation

## ~DeterministicSignatureAlgorithm()

virtual DeterministicSignatureAlgorithm::~DeterministicSignatureAlgorithm | ( |  | ) |

inline virtual

Definition at line 1462 of file pubkey.h.

## Member Function Documentation

## GenerateRandom()

virtual Integer DeterministicSignatureAlgorithm::GenerateRandom | ( | const Integer & | x,
|  | const Integer & | q,
|  | const Integer & | e ) const

pure virtual

Generate k.

Parameters

  x | private key
  q | subgroup generator
  e | encoded message

Implemented in DL_Algorithm_DSA_RFC6979< T, H >, and DL_Algorithm_DSA_RFC6979< EC::Point, H >.

The documentation for this class was generated from the following file:

- pubkey.h